Subject: [Sipping] Dialog usage termination in draft-ietf-sipping-dialogusage-05

From: Siddhartha Bhakta <[email-masked]>
Date: Thu, 16 Nov 2006 00:02:21 +0000 (GMT)

Robert,

I have following comments on sec 4 (Dialog usage
Destruction),

[1] The sec 4.1 indicates that 200 of BYE destroy the
dilaog usage. In fact reception of BYE also terminates
Dialog usage.

[2] For the BYE initiating side, the reception of 2xx,
481, 408, no response at all is received for the BYE
(that is, a timeout is returned by the client
transaction)to BYE terminates dialog usage.

Refer, sec 15.1.1 of RFC3261

[3]Though sec 15.1.1 of RFC3261 indicates that only
481, 408 error response of BYE terminates dialog, I
feel atleast 403 Forbidden should also terminate the
dilaog usage.
Consider the case when BYE is challenged by proxy(407)
or end-user(401). The user shall re-send BYE with
credential. If that credential is also not accepted
then 403 Forbidden shall be received. The user is not
suppose to send any message after receiving 403
Forbidden(Refer 21.4.4 of RFC3261).
The 403 Forbidden should mark the dialog usage as
down.

Can we apply the same logic to NOTIFY-terminated also?
The table 1 & 2 might need to be modified accordingly.

[4] If BYE and NOTIFY-terminated is being rejected
then how the dialog shall be terminated?
Is there any guideline about the fallback error
responses? I know of 401/407->403. I think, on
receiving last fallback error response of BYE or
NOTIFY-terminated, the corresponding dialog usage
should be terminated.

Thanks & Regards,
Siddhartha

__________________________________________________________
Yahoo! India Answers: Share what you know. Learn something new
http://in.answers.yahoo.com/

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP